#ifndef XCMODEL_H
#define XCMODEL_H

#include "xasset.h"
#include "xcleaf.h"

#include <QVector3D>

class XCModel : public XAsset
{
public:
    XCModel();
    ~XCModel();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    QVector3D mMins;
    QVector3D mMaxs;
    float mRadius;
    XCLeaf mLeaf;
};

#endif // XCMODEL_H
